# lanspread

## Description

Simple server and GUI for LAN parties.


## Development

### Prerequisites
```bash
# install Tauri CLI
cargo install tauri-cli --version "^2.0.0"

# install trunk (Build, bundle & ship your Rust WASM application to the web)
cargo install trunk
# alternatively if you have problems (i.e. on Windows)
cargo install cargo-binstall
cargo binstall trunk

# install Rust WASM target
rustup target add wasm32-unknown-unknown
```

### Build
#### Frontend
```bash
# Development
cargo tauri dev   # prefix with RUST_LOG=your_module=debug or similary for more verbose output

# Production
cargo tauri build --profile release-lto # also bundles everything into a nice platform-specific installer
```

#### Backend
```bash
# Development
./server.sh   # prefix with RUST_LOG=your_module=debug or similary for more verbose output

# Production
cargo build --profile release-lto
```
